<template>
  <div
    class="fr-tile fr-enlarge-link"
    :class="{ 'fr-tile--horizontal': horizontal }"
  >
    <div class="fr-tile__body">
      <h4 class="fr-tile__title">
        <nuxt-link v-if="internal" class="fr-tile__link" :to="to">{{
          title
        }}</nuxt-link>
        <a v-else class="fr-tile__link" :href="to">{{ title }}</a>
      </h4>
      <p v-if="description" class="fr-tile__desc">{{ description }}</p>
    </div>
    <div v-if="imagePath" class="fr-tile__img">
      <img :src="imagePath" class="fr-responsive-img" :alt="imageDescription" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'FrTile',

  props: {
    title: {
      type: String,
      required: true,
    },
    to: {
      type: String,
      required: true,
    },
    description: {
      type: String,
      default: null,
    },
    imagePath: {
      type: String,
      default: null,
    },
    imageDescription: {
      type: String,
      default: null,
    },
    horizontal: {
      type: Boolean,
      default: false,
    },
    internal: {
      type: Boolean,
      default: false,
    },
  },
};
</script>
